function GameOver()
{
	this.isOpen = false;
	this.container;
	
	this.score = 0;
	
	this.handleSlowDownMusic;
	this.handleGameoverMusic;
	
	this.mv = null;
	this.mvCanConnect = true;
	this.mvInitCount = 0;
	this.mvChecked = false;
	this.mvTryToPost = false;
	
	this.act = null;
	this.actCanMiiverse = false;
	this.actCanInternet = false;

	//Initiation
	this.init = function(data)
	{
		data.score = Math.round(data.score);
		this.score = parseInt(data.score);
		
		this.act = Render.act;
		this.actCanMiiverse = Render.actCanMiiverse;
		this.actCanInternet = Render.actCanInternet;
		
		this.mvTryToPost = false;
		if (typeof nwf != "undefined")
		if (!this.mv && Render.actCanMiiverse)
		{
			this.mv = nwf.mv.Miiverse.getInstance();
			var MiiverseEvent = nwf.events.MiiverseEvent;
			
			this.mv.addEventListener(
				MiiverseEvent.INITIALIZATION_SUCCESS, 
				function(){
					GameOver.mvCanConnect = true;
					
					if (GameOver.mvTryToPost)
					{
						GameOver.postToMiiverse();
					}
				}, 
				this
			);
			this.mv.addEventListener(
				MiiverseEvent.INITIALIZATION_FAILED, 
				function(){
					GameOver.mvInitCount++;
					if (GameOver.mvInitCount < 1 && 0)
						setTimeout(function(){ GameOver.mv.initialize(); }, 250);
					else
						GameOver.mvCanConnect = true;
					GameOver.postToMiiverseFail();
				}, 
				this
			);
			this.mv.addEventListener(
				MiiverseEvent.UPLOAD_POST_FAILED, 
				function(){ GameOver.postToMiiverseFail(); }, 
				this
			);
		}
		
		this.isPostingToMiiverse = false;
		
		//Render.audioStopAll();
		Render.audio["lowGas"].pause(); Render.audio["sirens"].pause();
		Game.audioBG.playbackRate = 1;
		this.handleSlowDownMusic = setInterval(function()
		{
			if (Game.audioBG.playbackRate > 0.7)
				Game.audioBG.playbackRate -= 0.05;
		}, 200);
		
		//height:150px;margin-top:-75px;line-height:150px;font-size:75px;background:RGBA(0,0,0,0.75);
		$("#youcrashed").css({height: "", marginTop: "", lineHeight: "", fontSize: "", background: ""}).show();
		setTimeout(function()
		{
			//$("#youcrashed").addClass("on");
			$("#youcrashed").show().animate({
				height: "150px",
				marginTop: "-75px",
				lineHeight: "150px",
				fontSize: "75px",
				background: "RGBA(0,0,0,0.75)"
			}, 2500);
			
			setTimeout(function()
			{
				$("#youcrashed").removeClass("on").hide();
				clearInterval(GameOver.handleSlowDownMusic);
				
				Rewards.addMyDistance(data.score, function()
				{
					Game.audioBG.playbackRate = 1;
					Render.audioStopAll();
					
					if (Leaderboard.registerNewScore(GameOver.score, function()
					{
						GameOver.open();
					}))
					{
						/*Render.audio["success"].onended = function()
						{
							Render.audio["success"].onended = null;
							Render.audio["title"].play();
						};*/
						Render.audio["success"].play();
						this.handleGameoverMusic = setTimeout(function()
						{
							if ($("#gameover").is(":visible"))
							{
								Render.audioStopAll();
								Render.audio["title"].play();
							}
						}, 4000);
					} else {
						/*Render.audio["gameover"].onended = function()
						{
							Render.audio["gameover"].onended = null;
							Render.audio["title"].play();
						};*/
						Render.audio["gameover"].play();
						this.handleGameoverMusic = setTimeout(function()
						{
							if ($("#gameover").is(":visible"))
							{
								Render.audioStopAll();
								Render.audio["title"].play();
							}
						}, 30000);
					}
				});
			}, 3500);
		}, 1);
	};

	//Open the Dialog
	this.open = function()
	{
		$("#gameover").show();
		//if (Render.actCanMiiverse) $("#gameover .button_miiverse").show();
		//else $("#gameover .button_miiverse").hide();
	};
	
	//Close the Dialog
	this.close = function()
	{
		$("#gameover").hide();
		clearTimeout(GameOver.handleGameoverMusic);
	};
	
	//Gameover Button Click
	this.buttonClick = function(action)
	{
		switch(action)
		{
		default: break;
		
		case "newgame":
			this.close();
			//Game.init();
			MainMenu.startGame();
		break;
		
		case "miiverse":
			this.postToMiiverse();
		break;
		
		case "leaderboard":
			this.close();
			Leaderboard.open(function()
			{
				GameOver.open();
			});
		break;
		
		case "mainmenu":
			this.close();
			MainMenu.init();
		break;
		}
	};
	
	
	
	//Post to Miiverse
	this.isPostingToMiiverse = false; //this.isPostingTimeoutHandle = null;
	this.postToMiiverse = function()
	{
		if (this.isPostingToMiiverse) return false;
		this.isPostingToMiiverse = true;
		
		if (this.mv == undefined)
		{
			this.mv = nwf.mv.Miiverse.getInstance();
			var MiiverseEvent = nwf.events.MiiverseEvent;
			
			this.mv.addEventListener(
				MiiverseEvent.INITIALIZATION_SUCCESS, 
				function(){
					GameOver.mvCanConnect = true;
					
					if (GameOver.mvTryToPost)
					{
						GameOver.postToMiiverse();
					}
				}, 
				this
			);
			this.mv.addEventListener(
				MiiverseEvent.INITIALIZATION_FAILED, 
				function(){
					GameOver.mvInitCount++;
					if (GameOver.mvInitCount < 1 && 0)
						setTimeout(function(){ GameOver.mv.initialize(); }, 250);
					else
						GameOver.mvCanConnect = true;
					GameOver.postToMiiverseFail();
				}, 
				this
			);
			this.mv.addEventListener(
				MiiverseEvent.UPLOAD_POST_FAILED, 
				function(){ GameOver.postToMiiverseFail(); }, 
				this
			);
		}
		
		if (!this.mv.isReady)
		{
			this.mvChecked = true;
			this.postToMiiverseFail();
			
			//Try to connect again?
			if (this.mvCanConnect)
			{
				if (!nwf.net.Network.isConnected())
				{
					DialogConnectOnline.init(function()
					{
						GameOver.mvCanConnect = false;
						GameOver.mvTryToPost = true;
						GameOver.mv.initialize();
					});
				} else {
					nwf.system.WiiUSystem.getInstance().homeButtonEnabled = false;
					
					this.mvCanConnect = false;
					this.mvTryToPost = true;
					this.mv.initialize();
				}
			}
			
			return false;
		}
		if (!this.mvCanConnect)
		{
			this.postToMiiverseFail();
		}
		nwf.system.WiiUSystem.getInstance().homeButtonEnabled = false;
		
		var display = nwf.display.DisplayManager.getInstance().getTVDisplay();
		display.captureScreen( function( img ){
			var mvPost = new nwf.mv.MiiverseUploadPost();
			
			var str = "Check out my new score: "+GameOver.score+"!";
			mvPost.body = str;
			mvPost.screenshot = img;
			
			var stamps = [], stamp, ranks = Rewards.ranks, rank;
			for(var key in Render.miiverseStamps)
			{
				stamp = Render.miiverseStamps[key];
				for(var key2 in ranks)
				{
					rank = ranks[key2];
					if (rank.value != stamp) continue;
					
					if (rank.type == "miiversestamp" && Rewards.myRank >= rank.rank)
						stamps[stamps.length] = Render.images["stamp_"+stamp];
				}
			}
			if (stamps.length) mvPost.stamps = stamps;
			
			var rtr = GameOver.mv.sendPost(mvPost);
			GameOver.postToMiiverseFail();
		}, { width:800, height:450 });
	};
	
	this.postToMiiverseFail = function()
	{
		this.isPostingToMiiverse = false;
		
		nwf.system.WiiUSystem.getInstance().homeButtonEnabled = true;
	};
};
var GameOver = new GameOver();