//128 | w: 10 | h: 5.65 | level: 5
var __Levels = {};
__Levels.start = { //Straight Begin
	id: "start", type: "grass", w: 10,
	ground: {
		"0-4": "road1", "1-4": "road1", "2-4": "road1", "3-4": "road1", "4-4": "road1",
		"0-5": "road2", "1-5": "road2", "2-5": "road2", "3-5": "road2", "4-5": "road2",
		"5-4": "road1", "6-4": "road1", "7-4": "road1", "8-4": "road1", "9-4": "road1",
		"5-5": "road2", "6-5": "road2", "7-5": "road2", "8-5": "road2", "9-5": "road2"
	}, roadPathL: [4.5, 4.5], roadPathR: [5.5, 5.5],
	//objs: {"4-3": "tribune"},
	next: "a"
};
__Levels.a = { //Straight Middle
	id: "a", type: "grass", w: 5,
	ground: {
		"0-4": "road1", "1-4": "road1", "2-4": "road1", "3-4": "road1", "4-4": "road1",
		"0-5": "road2", "1-5": "road2", "2-5": "road2", "3-5": "road2", "4-5": "road2"
	}, roadPathL: [4.5, 4.5], roadPathR: [5.5, 5.5],
	objs: {"1-3": "rock", "4-3|4-6": "rock", "3-6": "tree", "2-4|2-5|3-4|3-5": "barrel_blue|barrel_red|oil|"},
	next: "barrierMiddle"
};
__Levels.b = { //Middle to Lower
	id: "b", type: "grass", w: 4,
	ground: {
		"0-4": "road1_tolower1", "1-4": "road1_tolower2",
		"0-5": "road2_tolower1", "1-5": "road1_tolower3", "2-5": "road1_tolower1", "3-5": "road1_tolower2",
		"0-6": "road2_tolower2", "1-6": "road2_tolower3", "2-6": "road2_tolower1", "3-6": "road1_tolower3",
														  "2-7": "road2_tolower2", "3-7": "road2_tolower3"
	}, roadPathL: [4.5, 6.5], roadPathR: [5.5, 7.5],
	objs: {"2-4": "rock", "1-4|3-4": "tree", "0-7|1-8": "rock|barrel_blue"},
	next: ["barrierLower"]
};
__Levels.c = { //Straight Lower
	id: "c", type: "grass", w: 5,
	ground: {
		"0-6": "road1", "1-6": "road1", "2-6": "road1", "3-6": "road1", "4-6": "road1",
		"0-7": "road2", "1-7": "road2", "2-7": "road2", "3-7": "road2", "4-7": "road2"
	}, roadPathL: [6.5, 6.5], roadPathR: [7.5, 7.5],
	objs: {"2-2": "rock", "4-5": "rock|tree", "3-6|3-7": "oil|barrel_red|"},
	next: ["barrierLower"]
};
__Levels.c2 = { //Straight Lower - Type 2
	id: "c2", type: "grass", w: 5,
	ground: {
		"0-6": "road1", "1-6": "road1", "2-6": "road1", "3-6": "road1", "4-6": "road1",
		"0-7": "road2", "1-7": "road2", "2-7": "road2", "3-7": "road2", "4-7": "road2",
		"1-2": "water_tl", "2-2": "water_t", "3-2": "water_tr",
		"1-3": "water_l",  "2-3": "water",   "3-3": "water_r",
		"1-4": "water_bl", "2-4": "water_b", "3-4": "water_br"
	}, roadPathL: [6.5, 6.5], roadPathR: [7.5, 7.5],
	objs: {"0-2|0-1": "rock|barrel_blue|tree|"},
	next: ["barrierLower"]
};
__Levels.d = { //Lower to Middle
	id: "d", type: "grass", w: 4,
	ground: {
		"0-5": "road1_toupper2", "1-5": "road1_toupper3", "2-4": "road1_toupper2", "3-4": "road1_toupper3",
		"0-6": "road1_toupper1", "1-6": "road2_toupper3", "2-5": "road1_toupper1", "3-5": "road2_toupper3",
		"0-7": "road2_toupper1", "1-7": "road2_toupper2", "2-6": "road2_toupper1", "3-6": "road2_toupper2"
	}, roadPathL: [6.5, 4.5], roadPathR: [7.5, 5.5],
	objs: {"4-7": "rock", "1-2": "rock"},
	next: ["barrierMiddle"]
};
__Levels.e = { //Middle to Upper
	id: "e", type: "grass", w: 4,
	ground: {
		"0-3": "road1_toupper2", "1-3": "road1_toupper3", "2-2": "road1_toupper2", "3-2": "road1_toupper3",
		"0-4": "road1_toupper1", "1-4": "road2_toupper3", "2-3": "road1_toupper1", "3-3": "road2_toupper3",
		"0-5": "road2_toupper1", "1-5": "road2_toupper2", "2-4": "road2_toupper1", "3-4": "road2_toupper2"
	}, roadPathL: [4.5, 2.5], roadPathR: [5.5, 3.5],
	objs: {"3-6": "rock"},
	next: ["barrierUpper"]
};
__Levels.f = { //Straight Upper
	id: "f", type: "grass", w: 5,
	ground: {
		"0-2": "road1", "1-2": "road1", "2-2": "road1", "3-2": "road1", "4-2": "road1",
		"0-3": "road2", "1-3": "road2", "2-3": "road2", "3-3": "road2", "4-3": "road2"
	}, roadPathL: [2.5, 2.5], roadPathR: [3.5, 3.5],
	objs: {"3-5": "rock", "1-7": "tree", "1-2": "barrel_blue|rock"},
	next: ["barrierUpper"]
};
__Levels.g = { //Upper to Middle
	id: "g", type: "grass", w: 4,
	ground: {
		"0-2": "road1_tolower1", "1-2": "road1_tolower2",
		"0-3": "road2_tolower1", "1-3": "road1_tolower3", "2-3": "road1_tolower1", "3-3": "road1_tolower2",
		"0-4": "road2_tolower2", "1-4": "road2_tolower3", "2-4": "road2_tolower1", "3-4": "road1_tolower3",
														  "2-5": "road2_tolower2", "3-5": "road2_tolower3"
	}, roadPathL: [2.5, 4.5], roadPathR: [3.5, 5.5],
	objs: {"1-6": "tree", "1-3": "oil|barrel_blue"},
	next: ["barrierMiddle"]
};

//Straight Water - Split Start
__Levels.aWater1 = {"id":"aWater1","type":"grass","w":"3",
	"ground":{"0-4":"road1_toupper1","0-3":"road1_toupper2","1-3":"road1_toupper3","0-5":"road2_tolower1","0-6":"road2_tolower2","1-6":"road2_tolower3","1-4":"road2_toupper1","1-5":"road1_tolower1","2-3":"road1","2-4":"road2_toupper2","2-5":"road1_tolower2","2-6":"road2"},
	"roadPathL":[4.5,3.5],"roadPathR":[5.5,6.5],
	"objs":{"1-2": "rock|tree|"},
	"next":["aWater2"]};

//Straight Water - Line Start
__Levels.aWater2 = {"id":"aWater2","type":"grass","w":"5",
	"ground":{"0-3":"road1","0-6":"road2","0-4":"water_l","0-5":"water_l","1-4":"water","1-5":"water","2-4":"water","2-5":"water","3-4":"water","3-5":"water","1-3":"road1","2-3":"road1","3-3":"road1","4-3":"road1","4-4":"water","4-5":"water","1-6":"road2","2-6":"road2","3-6":"road2","4-6":"road2"},
	"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],
	"objs":{"1-3|1-6": "barrel_blue|barrel_red|"},
	"next":["aWater3", "aWater4"]};

//Straight Water - Line Middle
__Levels.aWater3 = {"id":"aWater3","type":"grass","w":"5",
	"ground":{"0-3":"road1","0-6":"road2","0-4":"water","0-5":"water","1-4":"water","1-5":"water","2-4":"water","2-5":"water","3-4":"water","3-5":"water","1-3":"road1","2-3":"road1","3-3":"road1","4-3":"road1","4-4":"water","4-5":"water","1-6":"road2","2-6":"road2","3-6":"road2","4-6":"road2"},
	"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],
	"objs":{"2-3|2-6": "barrel_blue|barrel_red|oil|rock|", "1-1|1-2|2-7": "rock"},
	"next":["aWater3", "aWater4"]};

//Straight Water - Line End
__Levels.aWater4 = {"id":"aWater4","type":"grass","w":"5",
	"ground":{"0-3":"road1","0-6":"road2","0-4":"water","0-5":"water","1-4":"water","1-5":"water","2-4":"water","2-5":"water","3-4":"water","3-5":"water","1-3":"road1","2-3":"road1","3-3":"road1","4-3":"road1","4-4":"water_r","4-5":"water_r","1-6":"road2","2-6":"road2","3-6":"road2","4-6":"road2"},
	"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],
	"objs":{"3-3|3-6": "barrel_blue|barrel_red|oil"},
	"next":["aWater5"]};

//Straight Water - Split End
__Levels.aWater5 = {"id":"","type":"grass","w":"3",
	"ground":{"0-3":"road1","0-6":"road2","1-3":"road1_tolower1","2-3":"road1_tolower2","1-6":"road2_toupper1","2-6":"road2_toupper2","2-4":"road1_tolower3","2-5":"road2_toupper3","1-5":"road1_toupper3","1-4":"road2_tolower3","0-4":"road2_tolower2","0-5":"road1_toupper2"},
	"roadPathL":[3.5,4.5],"roadPathR":[6.5,5.5],
	"objs":{"2-8": "tree|rock|barrel_blue"},
	"next":["aWater1", "barrierMiddle", "barrierMiddle", "barrierMiddle"]};

//Lower Split Begin
__Levels.bSplitStart = {"id":"","type":"grass","w":"9","ground":{"0-6":"road1_toupper1","0-7":"road2","1-7":"road2","2-7":"road2","3-7":"road2","0-5":"road1_toupper2","1-5":"road1_toupper3","2-5":"road1_toupper1","2-4":"road1_toupper2","3-4":"road1_toupper3","1-6":"road2_toupper1","2-6":"road2_toupper2","3-5":"road2_toupper1","4-4":"road1_toupper1","4-5":"road2_toupper2","4-7":"road2","5-7":"road2","6-7":"road2","7-7":"road2","4-3":"road1_toupper2","5-3":"road1_toupper3","6-3":"road1_toupper1","6-2":"road1_toupper2","7-2":"road1_toupper3","5-4":"road2_toupper1","6-4":"road2_toupper2","7-3":"road2_toupper1","8-2":"road1","8-3":"road2_toupper2","8-7":"road2"},"roadPathL":[6.5,2.5],"roadPathR":[7.5,7.5],"objs":{"1-3|3-1|5-6":"tree|rock","0-6|4-7|4-4":"barrel_blue|oil"},
	"next":["bSplitA"]};

//Lower Split - A
__Levels.bSplitA = {"id":"","type":"grass","w":"5","ground":{"0-7":"road2","0-2":"road1","1-2":"road1","2-2":"road1","3-2":"road1","4-2":"road1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2"},"roadPathL":[2.5,2.5],"roadPathR":[7.5,7.5],"objs":{"1-2|2-7":"rock|oil","1-5|2-4":"tree|"},
	"next":["bSplitA", "bSplitB", "bSplitEnd1"]};

//Lower Split - B
__Levels.bSplitB = {"id":"","type":"grass","w":"5","ground":{"0-7":"road2","0-2":"road1","1-2":"road1","2-2":"road1","3-2":"road1","4-2":"road1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2","1-3":"dirt_tl","2-3":"dirt_t","3-3":"dirt_tr","1-4":"dirt_l","1-5":"dirt_l","1-6":"dirt_bl","2-6":"dirt_b","3-6":"dirt_br","3-5":"dirt_r","3-4":"dirt_r","2-4":"dirt","2-5":"dirt"},"roadPathL":[2.5,2.5],"roadPathR":[7.5,7.5],"objs":{"2-4|2-6":"rock","1-1|3-1|4-3":"tree","2-8":"barrel_red","2-4|2-5":"cactus"},
	"next":["bSplitA","bSplitB"]};

//Lower Split End 1
__Levels.bSplitEnd1 = {"id":"","type":"grass","w":"6","ground":{"0-7":"road2","0-2":"road1","1-2":"road1_tolower1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2","1-3":"road2_tolower3","2-3":"road1_tolower3","3-3":"road1","4-3":"road1_tolower1","4-4":"road2_tolower3","0-3":"road2_tolower2","2-2":"road1_tolower2","5-3":"road1_tolower2","5-4":"road1_tolower3","3-4":"road2_tolower2","5-7":"road2"},"roadPathL":[2.5,4.5],"roadPathR":[7.5,7.5],"objs":{"1-3|3-4":"barrel_blue|barrel_red","2-7":"rock|oil","2-6|1-8|3-1":"tree"},
	"next":["bSplitEnd2"]};

//Lower Split End 2
__Levels.bSplitEnd2 = {"id":"","type":"grass","w":"2","ground":{"0-7":"road2","0-4":"road1","1-4":"road1_toupper1","1-3":"road1_toupper2","1-7":"road2","1-6":"water_tr2","0-6":"water_l","0-5":"water_tl","1-5":"water_tr","0-8":"water_bl","1-8":"water_bl2","1-9":"water_l"},"roadPathL":[4.5,4.5],"roadPathR":[7.5,7.5],"objs":{},
	"next":["bSplitEnd3"]};

//Lower Split End 3
__Levels.bSplitEnd3 = {"id":"","type":"grass","w":"5","ground":{"0-7":"road2","0-4":"road1_tolower3","1-4":"road1_tolower1","1-3":"water_bl","2-3":"water_br","2-4":"road1_tolower2","4-5":"road1_tolower2","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2","3-5":"road1_tolower1","2-5":"road1_tolower3","4-6":"road1_tolower3","2-6":"road2_tolower2","3-6":"road2_tolower3","1-6":"water_tr","0-6":"water_t","0-5":"road2_tolower2","1-5":"road2_tolower3","0-8":"water","1-8":"water_tr2","1-9":"water","2-8":"water_tr","2-9":"water_r","2-1":"water_tr","2-2":"water_r","0-1":"water_tl","0-2":"water_bl","0-3":"road1_tolower2","0-9":"water","1-1":"water_t","1-2":"water_bl2"},"roadPathL":[4.5,6.5],"roadPathR":[7.5,7.5],"objs":{"0-4|1-7":"barrel_blue"},
	"next":["barrierLower"]};


//Upper Alt - Start
__Levels.upperAltStart = {"id":"","type":"grass","w":"2","ground":{"0-2":"road1_tolower1","1-2":"road1_tolower2","0-3":"road2_tolower1","1-3":"road1_tolower3","0-4":"road2_tolower2","1-4":"road2_tolower3"},"roadPathL":[2.5,3.5],"roadPathR":[3.5,4.5],"objs":{"0-1|1-6":"rock","0-5":"tree","0-8|1-9":"rock|barrel_blue"},
	"next":["upperAltStart2"]};

//Upper Alt - Start 2
__Levels.upperAltStart2 = {"id":"","type":"grass","w":"6","ground":{"0-2":"road1_toupper2","1-2":"road1_toupper3","0-3":"road1_toupper1","0-4":"road2_tolower1","1-3":"road2_toupper3","1-4":"road1_tolower3","0-5":"road2_tolower2","1-5":"road2_tolower3","2-5":"road2_tolower1","2-6":"road2_tolower2","3-6":"road2_tolower3","2-2":"road1_toupper1","2-1":"road1_toupper2","3-1":"road1_toupper3","2-3":"road2_toupper1","3-2":"road2_toupper3","3-3":"road2_toupper2","2-4":"road1_tolower1","3-4":"road1_tolower2","3-5":"road1_tolower3","4-1":"road1_toupper1","4-0":"road1_toupper2","5-0":"road1_toupper3","4-2":"road2_toupper1","5-2":"road2_toupper2","5-1":"road2_toupper3","4-5":"road1_tolower1","5-5":"road1_tolower2","5-6":"road1_tolower3","4-6":"road2_tolower1","4-7":"road2_tolower2","5-7":"road2_tolower3"},"roadPathL":[3.5,1],"roadPathR":[4.5,7],"objs":{"2-2|3-5|4-6":"barrel_blue|barrel_red","1-4":"oil|rock","4-3|4-4":"tree","1-7|2-8|4-8":"rock"},
	"next":["upperAltA"]};

__Levels.upperAltA = {"id":"","type":"grass","w":"5","ground":{"0-0":"road1","0-1":"road2","0-6":"road1","0-7":"road2","1-0":"road1","2-0":"road1","3-0":"road1","4-0":"road1","1-1":"road2","2-1":"road2","3-1":"road2","4-1":"road2","1-6":"road1","2-6":"road1","3-6":"road1","4-6":"road1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2"},"roadPathL":[1,1],"roadPathR":[7,7],"objs":{"2-1|3-7|2-4|1-8":"rock|barrel_red","4-8|4-7|0-6":"barrel_blue","4-4|1-8":"tree"},
	"next":["upperAltA", "upperAltB", "upperAltToBSplit"]};
__Levels.upperAltB = {"id":"","type":"grass","w":"5","ground":{"0-0":"road1","0-1":"road2","0-6":"road1","0-7":"road2","1-0":"road1","2-0":"road1","3-0":"road1","4-0":"road1","1-1":"road2","2-1":"road2","3-1":"road2","4-1":"road2","1-6":"road1","2-6":"road1","3-6":"road1","4-6":"road1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2","1-8":"water_l","1-9":"water_l","1-5":"water_l","1-4":"water_tl","2-4":"water_tl2","2-3":"water_l","3-3":"water_r","3-4":"water_tr2","4-4":"water_tr","4-5":"water_r","3-8":"water_br2","4-8":"water_br","3-9":"water_r","2-8":"water","2-9":"water","2-5":"water","3-5":"water","2-2":"water_l","3-2":"water_r"},"roadPathL":[1,1],"roadPathR":[7,7],"objs":{"3-1|1-6":"oil","3-0|4-7":"oil|barrel_blue","1-3|4-3":"tree"},
	"next":["upperAltA","upperAltB", "upperAltEnd"]};

__Levels.upperAltToBSplit = {"id":"","type":"grass","w":"5","ground":{"0-0":"road1","0-1":"road2","0-6":"road1_tolower1","0-7":"road2","1-0":"road1_tolower1","1-1":"road2_tolower1","2-1":"road1_tolower3","3-1":"road1_tolower1","4-1":"road1_tolower2","1-6":"road1_tolower2","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2","2-0":"road1_tolower2","1-2":"road2_tolower2","2-2":"road2_tolower3","4-2":"road1_tolower3","3-2":"road2_tolower1","1-9":"dirt_tl","2-9":"dirt_t","3-9":"dirt_t","4-9":"dirt_tr"},"roadPathL":[1,2.5],"roadPathR":[7,7.5],"objs":{"1-1|2-7":"barrel_red","2-4|3-4":"tree","1-8|1-3":"rock","4-2":"oil"},
	"next":["bSplitA"]};
__Levels.upperAltEnd = {"id":"","type":"grass","w":"10","ground":{"0-0":"road1_tolower1","0-1":"road2_tolower1","0-6":"road1","0-7":"road2","1-6":"road1","1-7":"road2","2-6":"road1","2-7":"road2","3-7":"road2","3-6":"road1","4-6":"road1","4-7":"road2","5-7":"road2","6-7":"road2","7-7":"road2","8-7":"road2","9-7":"road2","9-6":"road","7-6":"road1","8-6":"road","6-6":"road1","5-6":"road1","1-0":"road1_tolower2","1-1":"road1_tolower3","2-1":"road1_tolower1","3-1":"road1_tolower2","3-2":"road1_tolower3","4-2":"road1_tolower1","5-2":"road1_tolower2","5-3":"road1_tolower3","0-2":"road2_tolower2","1-2":"road2_tolower3","2-2":"road2_tolower1","2-3":"road2_tolower2","3-3":"road2_tolower3","4-3":"road2_tolower1","4-4":"road2_tolower2","5-4":"road2_tolower3","6-4":"road2_tolower1","6-5":"road2_tolower2","7-5":"road2_tolower3","8-5":"road","6-3":"road1_tolower1","7-3":"road1_tolower2","7-4":"road1_tolower3","8-4":"road1_tolower1","9-4":"road1_tolower2","9-5":"road1_tolower3"},"roadPathL":[1,6],"roadPathR":[7.5,7.5],"objs":{"6-7|4-6|1-7":"rock|oil|barrel_blue","3-2|7-7":"barrel_blue|barrel_red","5-3|7-4":"rock|oil","2-4":"tree","7-1|8-1":"rock","4-8|6-9":"rock|tree|barrel_red"},
	"next":["upperAltEnd2"]};
__Levels.upperAltEnd2 = {"id":"","type":"grass","w":"2","ground":{"0-6":"road","0-7":"road2","1-6":"road1_tolower3","1-7":"road2","0-5":"road1_tolower1","1-5":"road1_tolower2"},"roadPathL":[6,6.5],"roadPathR":[7.5,7.5],"objs":{"1-2":"tree"},
	"next":["barrierLower"]};

__Levels.barrierMiddle = {
	id: "barrierMiddle", type: "grass", w: 1,
	ground: {
		"0-4": "road1", "0-5": "road2"
	}, roadPathL: [4.5, 4.5], roadPathR: [5.5, 5.5],
	objs: {
		/*"0-2": "barrier", "0-3": "barrier",
		"0-6": "barrier", "0-7": "barrier"*/
	},
	next: ["a", "a", "b", "b", "e", "e", "aWater1", "a", "b", "e", "aWater1", "grassToDirt", "grassToWater", "highwayGrassStart"]
};
__Levels.barrierLower = {
	id: "barrierLower", type: "grass", w: 1,
	ground: {
		"0-6": "road1", "0-7": "road2"
	}, roadPathL: [6.5, 6.5], roadPathR: [7.5, 7.5],
	objs: {
		/*"0-2": "barrier", "0-3": "barrier", "0-4": "barrier", "0-5": "barrier"*/
	},
	next: ["c", "c2", "d", "d", "bSplitStart"]
};
__Levels.barrierUpper = {
	id: "barrierUpper", type: "grass", w: 1,
	ground: {
		"0-2": "road1", "0-3": "road2"
	}, roadPathL: [2.5, 2.5], roadPathR: [3.5, 3.5],
	objs: {
		/*"0-4": "barrier", "0-5": "barrier", "0-6": "barrier", "0-7": "barrier"*/
	},
	next: ["f", "g", "g", "upperAltStart"]
};



/*  DIRT  */

//Grass to Dirt
__Levels.grassToDirt = {"id":"","type":"dirt","w":"1",
	"ground":{"0-0":"dirt_l","0-1":"dirt_l","0-2":"dirt_l","0-3":"dirt_l","0-4":"road1","0-5":"road2","0-6":"dirt_l","0-7":"dirt_l","0-8":"dirt_l","0-9":"dirt_l"},
	"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],
	"objs":{},
	"next":["dirtStraight"]};

//Dirt Straight Middle
__Levels.dirtStraight = {"id":"","type":"dirt","w":"5","ground":{"0-4":"road1","0-5":"road2","1-4":"road1","1-5":"road2","2-4":"road1","3-4":"road1","4-4":"road1","4-5":"road2","3-5":"road2","2-5":"road2"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"2-2|3-6":"rock|tree2|cactus","1-4|4-5":"barrel_blue","1-5|4-4":"barrel_red"},
	"next":["dirtStraight","dirtStraight","dirtMiddleToLower","dirtMiddleToLower","dirtMiddleToUpper","dirtMiddleToUpper","dirtToGrass","dirtToDark","highwayDirtStart"]};

//Dirt Middle to Lower
__Levels.dirtMiddleToLower = {"id":"","type":"dirt","w":"4","ground":{"0-4":"road1_tolower1","0-5":"road2_tolower1","1-4":"road1_tolower2","1-5":"road1_tolower3","3-5":"road1_tolower2","2-5":"road1_tolower1","0-6":"road2_tolower2","1-6":"road2_tolower3","2-6":"road2_tolower1","2-7":"road2_tolower2","3-7":"road2_tolower3","3-6":"road1_tolower3"},"roadPathL":[4.5,6.5],"roadPathR":[5.5,7.5],"objs":{"0-4|1-5":"|barrel_red|barrel_blue","1-3|1-8":"tree2|rock","2-2|3-2|":"cactus"},
	"next":["dirtStraightLower"]};

//Dirt Straight Lower
__Levels.dirtStraightLower = {"id":"","type":"dirt","w":"5","ground":{"0-6":"road1","0-7":"road2","1-6":"road1","1-7":"road2","2-6":"road1","3-6":"road1","4-6":"road1","2-7":"road2","3-7":"road2","4-7":"road2"},"roadPathL":[6.5,6.5],"roadPathR":[7.5,7.5],"objs":{"2-7|4-7":"barrel_red|barrel_blue","2-3|3-9":"rock|tree2","2-4|3-5|0-5":"rock|cactus","3-1|3-5":"cactus"},
	"next":["dirtStraightLower","dirtLowerToMiddle"]};

//Dirt Lower to Upper
__Levels.dirtLowerToMiddle = {"id":"","type":"dirt","w":"4","ground":{"0-6":"road1_toupper1","0-7":"road2_toupper1","1-6":"road2_toupper3","1-7":"road2_toupper2","2-6":"road2_toupper1","3-6":"road2_toupper2","0-5":"road1_toupper2","1-5":"road1_toupper3","2-4":"road1_toupper2","2-5":"road1_toupper1","3-4":"road1_toupper3","3-5":"road2_toupper3"},"roadPathL":[6.5,4.5],"roadPathR":[7.5,5.5],"objs":{"2-5|":"barrel_blue|oil","2-2|":"cactus"},
	"next":["dirtStraight"]};

//Dirt Middle to Upper
__Levels.dirtMiddleToUpper = {"id":"","type":"dirt","w":"6","ground":{"0-4":"road1_toupper1","0-5":"road2_toupper1","1-4":"road2_toupper3","1-5":"road2_toupper2","0-3":"road1_toupper2","1-3":"road1_toupper3","2-3":"road1_toupper1","2-2":"road1_toupper2","3-2":"road1_toupper3","4-2":"road1_toupper1","4-1":"road1_toupper2","5-1":"road1_toupper3","2-4":"road2_toupper1","3-4":"road2_toupper2","3-3":"road2_toupper3","4-3":"road2_toupper1","5-3":"road2_toupper2","5-2":"road2_toupper3"},"roadPathL":[4.5,1.5],"roadPathR":[5.5,2.5],"objs":{"1-4|2-5":"|barrel_red|barrel_blue","4-2|3-2":"|rock|barrel_red","2-6|4-6":"cactus|rock"},
	"next":["dirtStraightUpper"]};

//Dirt Straight Upper
__Levels.dirtStraightUpper = {"id":"","type":"dirt","w":"5","ground":{"0-1":"road1","0-2":"road2","1-1":"road1","2-1":"road1","3-1":"road1","4-1":"road1","1-2":"road2","2-2":"road2","3-2":"road2","4-2":"road2"},"roadPathL":[1.5,1.5],"roadPathR":[2.5,2.5],"objs":{"1-2|3-2":"rock|oil","3-4|1-3":"rock|tree2|cactus","1-5|2-6|":"rock|barrel_red","2-5|3-9":"tree2|barrel_blue"},
	"next":["dirtStraightUpper","dirtUpperToMiddle"]};

//Dirt Upper to Middle
__Levels.dirtUpperToMiddle = {"id":"","type":"dirt","w":"6","ground":{"0-1":"road1_tolower1","0-2":"road2_tolower1","1-1":"road1_tolower2","2-2":"road1_tolower1","1-2":"road1_tolower3","3-2":"road1_tolower2","3-3":"road1_tolower3","4-3":"road1_tolower1","5-3":"road1_tolower2","5-4":"road1_tolower3","0-3":"road2_tolower2","1-3":"road2_tolower3","2-3":"road2_tolower1","2-4":"road2_tolower2","3-4":"road2_tolower3","4-4":"road2_tolower1","4-5":"road2_tolower2","5-5":"road2_tolower3"},"roadPathL":[1.5,4.5],"roadPathR":[2.5,5.5],"objs":{"2-3":"barrel_blue|barrel_red","1-2|4-4|4-6":"rock","1-5|2-7":"rock|oil|cactus","3-1":"barrel_red"},
	"next":["dirtStraight"]};

//Dirt to Grass
__Levels.dirtToGrass = {"id":"","type":"grass","w":"1",
	"ground":{"0-0":"dirt_r","0-1":"dirt_r","0-2":"dirt_r","0-3":"dirt_r","0-4":"road1","0-5":"road2","0-6":"dirt_r","0-7":"dirt_r","0-8":"dirt_r","0-9":"dirt_r"},
	"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],
	"objs":{},
	"next":["barrierMiddle"]};



/* WATER */
__Levels.grassToWater = {"id":"","type":"water","w":"1",
	"ground":{"0-3":"water_l","0-4":"road1","0-5":"road2","0-2":"water_l","0-1":"water_l","0-0":"water_l","0-6":"water_l","0-7":"water_l","0-8":"water_l","0-9":"water_l"},
	"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],
	"objs":{},
	"next":["waterStraight"]};

__Levels.waterStraight = {"id":"","type":"water","w":"10",
	"ground":{"0-4":"road1","1-4":"road1","2-4":"road1","3-4":"road1","4-4":"road1","4-5":"road2","3-5":"road2","2-5":"road2","1-5":"road2","0-5":"road2","5-4":"road1","6-4":"road1","7-4":"road1","8-4":"road1","9-4":"road1","5-5":"road2","6-5":"road2","7-5":"road2","8-5":"road2","9-5":"road2"},
	"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],
	"objs":{"1-4|2-5|":"barrel_red|barrel_blue|oil","4-5|5-5|5-4|":"rock|","5-4|":"barrel_red","8-5|8-4|":"rock|"},
	"next":["waterStraight", "waterStraight", "waterStraight2", "waterSplitA", "waterToGrass"]};

__Levels.waterStraight2 = {"id":"","type":"water","w":"3","ground":{"0-4":"road1","1-4":"road1","2-4":"road1","2-5":"road2","1-5":"road2","0-5":"road2","2-3":"water_r","2-2":"water_br2","1-6":"water_r","1-7":"water_tr2","2-7":"water_tr","2-6":"grass","2-8":"water_tr2"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"1-4|1-5":"barrel_red|oil|rock","2-6|2-7":"tree|barrel_blue"},"next":["waterStraight3"]};

__Levels.waterStraight3 = {"id":"","type":"water","w":"6","ground":{"0-4":"road1","1-4":"road1","2-4":"road1","2-5":"road2","1-5":"road2","0-5":"road2","2-3":"grass","2-2":"grass","1-6":"grass","1-7":"water_t","2-7":"water_tl2","2-6":"water_tl","0-2":"water_b","1-2":"water_br","1-1":"water_br2","2-1":"water_b","3-1":"water_bl2","3-2":"water_l","3-3":"water_bl","4-3":"water_bl2","1-3":"grass","0-3":"grass","0-6":"grass","0-7":"water_tl","0-8":"water_tl2","3-6":"water_t","4-6":"water_tl2","3-4":"road1","4-4":"road1","3-5":"road2","4-5":"road2","5-4":"road1","5-5":"road2"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"1-3|1-7":"rock|oil|tree","2-2":"barrel_blue","0-3|2-5|4-5":"barrel_red|rock"},"next":["waterStraight"]};

__Levels.waterSplitA = {"id":"","type":"water","w":"3","ground":{"0-4":"road1_toupper1","0-5":"road2_tolower1","0-3":"road1_toupper2","1-3":"road1_toupper3","0-6":"road2_tolower2","1-6":"road2_tolower3","1-5":"road1_tolower1","1-4":"road2_toupper1","2-3":"road1_toupper1","2-6":"road2","2-5":"road1_tolower2","2-4":"road2_toupper2","2-2":"road1_toupper2"},"roadPathL":[4.5,3.25],"roadPathR":[5.5,6.5],"objs":{},
	"next":["waterSplitA2"]};
__Levels.waterSplitA2 = {"id":"","type":"water","w":"4","ground":{"0-3":"road2_toupper1","1-3":"road2_toupper2","0-6":"road2","1-6":"road2_toupper1","1-5":"road1_toupper3","2-6":"road2_toupper2","2-5":"road2_toupper3","2-2":"road2_toupper1","0-2":"road1_toupper3","1-2":"road2_toupper3","1-1":"road1_toupper2","2-1":"road1_toupper3","3-1":"road1","3-2":"road2_toupper2","3-5":"road2","0-5":"road1_toupper2"},"roadPathL":[3.25,1.5],"roadPathR":[6.5,5.5],"objs":{},
	"next":["waterSplitB", "waterSplitB2"]};
__Levels.waterSplitB = {"id":"","type":"water","w":"5","ground":{"0-1":"road1","0-5":"road2","1-1":"road1","2-1":"road1","3-1":"road1","4-1":"road1","1-5":"road2","2-5":"road2","3-5":"road2","4-5":"road2"},"roadPathL":[1.5,1.5],"roadPathR":[5.5,5.5],"objs":{"1-1|2-5|3-1":"barrel_blue","4-4|4-5|":"barrel_red|oil"},
	"next":["waterSplitB", "waterSplitB2", "waterSplitB3", "waterSplitB4", "waterSplitC"]};
__Levels.waterSplitB2 = {"id":"","type":"water","w":"6","ground":{"0-1":"road1","0-5":"road2","1-1":"road1","2-1":"road1","3-1":"road1","4-1":"road1","1-5":"road2_tolower1","2-5":"road1_tolower1","3-5":"road1_toupper3","4-5":"road2_toupper3","1-6":"road2_tolower2","2-6":"road2_tolower3","3-6":"road2_toupper1","4-6":"road2_toupper2","5-1":"road1","5-5":"road2"},"roadPathL":[1.5,1.5],"roadPathR":[5.5,5.5],"objs":{"1-5|4-5":"barrel_red|barrel_blue","3-4":"oil|"},"next":["waterSplitB","waterSplitB2","waterSplitB3","waterSplitB4","waterSplitC"]};
__Levels.waterSplitB3 = {"id":"","type":"water","w":"6","ground":{"0-1":"road1","0-5":"road2","1-1":"road1","2-1":"road1","3-1":"road1","4-1":"road1","1-5":"road2","2-5":"road2","3-5":"road2","4-5":"road2","5-1":"road1","5-5":"road2","1-2":"road2_tolower2","2-2":"road2_tolower3","3-2":"road2_toupper1","4-2":"road2_toupper2","1-9":"water_br2","2-9":"water_br","2-8":"water_br2","3-8":"water_b","4-8":"water_bl2","4-9":"water_l","3-9":"grass"},"roadPathL":[1.5,1.5],"roadPathR":[5.5,5.5],"objs":{"2-1|3-1":"rock","3-9":"barrel_blue|tree"},
	"next":["waterSplitB", "waterSplitB", "waterSplitB2", "waterSplitB3", "waterSplitC", "waterSplitC"]};
__Levels.waterSplitB4 = {"id":"","type":"water","w":"10","ground":{"0-1":"road1","0-5":"road2","1-1":"road1","2-1":"road1","3-1":"road1","4-1":"road1","1-5":"road2","2-5":"road2","3-5":"road2","4-5":"road2","5-1":"road1","5-5":"road2","1-2":"road2_tolower3","2-2":"road2_tolower1","3-2":"road1_tolower1","4-2":"road1_tolower2","0-2":"road2_tolower2","1-4":"road1_toupper3","0-4":"road1_toupper2","2-4":"road1","2-3":"road2_tolower2","3-3":"road2_tolower3","3-4":"road1","6-5":"road2","7-5":"road2","6-1":"road1","7-1":"road1","8-1":"road1","9-1":"road1","8-5":"road2","9-5":"road2","4-3":"road1_tolower3","5-3":"road1_toupper1","5-2":"road1_toupper2","6-2":"road1_toupper3","8-2":"road2_toupper1","7-2":"road2_toupper3","9-2":"road2_toupper2","7-3":"road2_toupper2","6-3":"road2_toupper1","6-4":"road1_tolower1","7-4":"road1_tolower2","3-0":"water_br","2-0":"water_br2","7-0":"water_bl2","4-0":"grass","5-0":"grass","6-0":"water_bl","4-4":"road","5-4":"road"},"roadPathL":[1.5,1.5],"roadPathR":[5.5,5.5],"objs":{"4-0|5-0":"tree|rock","4-4":"rock|oil|","4-3|5-3|4-4|5-4":"barrel_blue|barrel_red|","2-5|6-5":"rock|oil","4-5|5-5|":"barrel_blue|barrel_red|oil"},"next":["waterSplitB","waterSplitB2","waterSplitB3","waterSplitC"]};
__Levels.waterSplitC = {"id":"","type":"water","w":"7","ground":{"0-1":"road1","0-5":"road2","1-5":"road2","1-1":"road1_tolower1","1-2":"road2_tolower3","2-2":"road1_tolower3","3-2":"road1_tolower1","3-3":"road2_tolower3","2-4":"road1_toupper2","2-3":"road2_tolower2","0-2":"road2_tolower2","2-5":"road2","3-5":"road2","4-5":"road2","4-3":"road1_tolower3","5-3":"road1_tolower1","5-4":"road","5-5":"road2","3-4":"road1_toupper3","4-4":"road","6-5":"road2","6-4":"road1_tolower3","6-3":"road1_tolower2","4-2":"road1_tolower2","2-1":"road1_tolower2"},"roadPathL":[1.5,4.5],"roadPathR":[5.5,5.5],"objs":{"4-4":"barrel_blue|oil"},"next":["waterStraight"]};

__Levels.waterToGrass = {"id":"","type":"grass","w":"1",
	"ground":{"0-3":"water_r","0-4":"road1","0-5":"road2","0-2":"water_r","0-1":"water_r","0-0":"water_r","0-6":"water_r","0-7":"water_r","0-8":"water_r","0-9":"water_r"},
	"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],
	"objs":{},
	"next":["barrierMiddle"]};


/* DARK */
__Levels.dirtToDark = {"id":"","type":"dark","w":"1","ground":{"0-4":"road1","0-5":"road2","0-0":"dark_r","0-1":"dark_r","0-3":"dark_r","0-2":"dark_r","0-6":"dark_r","0-7":"dark_r","0-8":"dark_r","0-9":"dark_r"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{},
	"next":["darkStraight1"]};

__Levels.darkStraight1 = {"id":"","type":"dark","w":"5","ground":{"0-4":"road1","0-5":"road2","1-4":"road1","1-5":"road2","2-4":"road1","2-5":"road2","3-4":"road1","3-5":"road2","4-4":"road1","4-5":"road2"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"1-4|3-5|":"oil|barrel_blue|barrel_red","4-4|1-5":"rock|barrel_red"},
	"next":["darkStraight1", "darkStraight1", "darkStraight2", "darkToDirt", "darkSplitStart"]};
__Levels.darkStraight2 = {"id":"","type":"dark","w":"10","ground":{"0-4":"road1","0-5":"road2","1-4":"road1","1-5":"road2","2-4":"road1","2-5":"road2","3-4":"road1","3-5":"road2","4-4":"road1","4-5":"road2","1-3":"dark_l","2-3":"dirt","5-4":"road1","5-5":"road2","6-4":"road1","6-5":"road2","7-4":"road1","7-5":"road2","8-4":"road1","9-4":"road1","8-5":"road2","9-5":"road2","3-3":"dirt","2-2":"dark_tl2","3-2":"dirt","3-1":"dark_t","4-1":"dark_tl2","5-1":"dirt","6-1":"dirt","4-2":"dirt","5-2":"dark_br2","4-3":"dirt","7-1":"dirt","8-1":"dirt","9-1":"dirt","8-0":"dirt","7-0":"dark_tl2","6-0":"dark_tl","9-0":"dark_tr2","4-6":"dirt","5-6":"dirt","5-7":"dirt","6-6":"dark_br2","6-7":"dark_tr2","7-6":"dark_br","5-8":"dirt_b","6-8":"dirt_bl2","7-8":"dirt","7-7":"dark_t","8-7":"dark_tr","8-8":"dark_tr2","7-9":"dirt","6-9":"dirt_l","8-9":"dirt","9-8":"dark_t","9-9":"dirt","1-2":"dark_tl","2-1":"dark_tl","5-3":"dark_r","6-2":"dark_b","7-2":"dark_br","4-0":"dark_l","5-0":"dark_r","2-6":"dark_l","3-6":"dirt","2-7":"dark_bl","3-7":"dark_bl2","4-7":"dirt","4-8":"dirt_br2","4-9":"dirt_r","3-8":"dark_bl","5-9":"grass"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"4-4|7-5":"barrel_red","5-5|3-5|7-4":"rock","5-1":"barrel_blue|","8-0|8-1":"rock","8-9":"oil","5-9":"tree|"},
	"next":["darkStraight3","darkStraight4","darkStraight5"]};
__Levels.darkStraight3 = {"id":"","type":"dark","w":"10","ground":{"0-4":"road1","0-5":"road2","0-0":"dark_t","0-1":"dirt","0-9":"dirt","1-4":"road1","2-4":"road1","3-4":"road1","4-4":"road1","5-4":"road1","6-4":"road1","7-4":"road1","8-4":"road1","9-4":"road1","9-5":"road2","8-5":"road2","7-5":"road2","6-5":"road2","5-5":"road2","4-5":"road2","2-5":"road2","3-5":"road2","1-5":"road2","1-1":"dirt","1-2":"dark_b","0-2":"dark_bl","2-2":"dark_bl2","3-2":"dirt","2-1":"dark_tr2","3-1":"dark_t","4-1":"dark_tl2","4-2":"dirt","2-3":"dark_tl2","4-3":"dirt","3-3":"dirt","1-3":"dark_tl","5-3":"dark_r","1-9":"dark_br2","4-0":"dark_tl","5-0":"dark_t","5-1":"dirt","5-2":"dark_br2","6-2":"dark_br","6-1":"dark_br2","6-0":"dark_t","7-0":"dark_tl2","7-1":"dark_b","8-0":"dirt","9-0":"dirt","8-1":"dark_b","1-8":"dark_t","0-8":"dark_t","2-8":"dark_tl2","2-9":"dark_b","3-9":"dark_br","3-8":"dark_br2","2-7":"dark_tl","3-7":"dark_t","4-7":"dark_tl2","4-6":"dark_tl","4-8":"dark_b","5-8":"dark_b","5-7":"dirt","5-6":"dark_t","6-6":"dark_tl2","7-6":"dirt","6-8":"dark_br","6-7":"dark_br2","7-7":"dark_b","8-6":"dirt","9-6":"dark_r","8-7":"dark_b","9-7":"dark_br","1-0":"dark_t","2-0":"dark_tr","9-1":"dark_b"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"1-1|5-7":"barrel_blue|oil","5-7|3-3":"rock|","2-4|7-5":"rock|barrel_red","8-4|5-4|0-5":"rock|barrel_red"},
	"next":["darkStraight5"]};
__Levels.darkStraight4 = {"id":"","type":"dark","w":"10","ground":{"0-4":"road1","0-5":"road2","0-0":"dirt","0-1":"dark_b","0-9":"dirt","0-8":"dark_t","1-4":"road1","1-5":"road2","2-5":"road2","3-5":"road2","4-5":"road2","5-5":"road2","6-5":"road2","7-5":"road2","8-5":"road2","9-5":"road2","2-4":"road1","3-4":"road1","4-4":"road1","5-4":"road1","6-4":"road1","7-4":"road1","8-4":"road1","9-4":"road1","1-9":"dark_br2","1-8":"dark_tl2","2-8":"dirt","1-7":"dark_tl","2-7":"dark_t","3-7":"dark_tr","3-8":"dark_r","2-9":"dark_b","3-9":"dark_br","1-1":"dark_bl2","1-0":"dirt","1-2":"dark_bl","2-2":"dark_bl2","2-3":"dark_bl","3-3":"dark_b","4-3":"dark_b","5-3":"dark_b","6-3":"dark_br","3-2":"dirt","2-1":"dirt","2-0":"dirt","3-1":"dark_tr2","4-2":"dirt","5-2":"dirt","6-2":"dark_br2","5-1":"dark_t","6-1":"dark_tl2","9-1":"dirt","7-1":"dirt","8-1":"dirt","7-2":"dark_b","8-2":"dark_br","9-0":"dark_t","8-0":"dark_t","7-0":"dark_t","6-0":"dark_tl","9-9":"dark_l","3-0":"dark_r","4-1":"dark_t","9-8":"dark_tl"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"2-8":"tree|","1-1|7-1":"barrel_blue","4-4|5-5":"barrel_blue|barrel_red","8-4|7-5":"rock","1-4|2-5":"barrel_red"},
	"next":["darkStraight3","darkStraight4","darkStraight5"]};
__Levels.darkStraight5 = {"id":"","type":"dark","w":"10","ground":{"0-4":"road1","0-5":"road2","0-0":"dark_t","0-1":"dark_bl2","0-9":"dirt","0-8":"dark_t","1-4":"road1","2-4":"road1","3-4":"road1","4-4":"road1","5-4":"road1","6-4":"road1","7-4":"road1","8-4":"road1","9-4":"road1","9-5":"road2","8-5":"road2","7-5":"road2","6-5":"road2","5-5":"road2","4-5":"road2","3-5":"road2","2-5":"road2","1-5":"road2","1-9":"dark_br2","1-8":"dark_tl2","1-7":"dark_l","1-6":"dark_tl","2-6":"dark_t","3-6":"dark_tl2","4-6":"dirt","2-9":"dark_b","2-8":"dirt","2-7":"dirt","3-7":"dirt","3-8":"dirt","3-9":"dark_b","4-9":"dark_br","4-8":"dark_br2","4-7":"dirt","5-7":"dark_br2","5-8":"dark_br","5-6":"dirt","1-1":"dirt","1-0":"dark_t","2-0":"dark_tr","2-1":"dark_r","6-7":"dark_br","6-6":"dark_r","0-2":"dark_bl","1-2":"dark_b","2-2":"dark_br"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{"1-1":"tree","2-8|3-8|4-7":"rock","0-9":"barrel_blue","2-4|5-5":"barrel_blue|barrel_red|rock","8-4|7-4|6-5":"barrel_red"},
	"next":["darkStraight1", "darkSplitStart"]};

__Levels.darkSplitStart = {"id":"","type":"dark","w":"5","ground":{"0-4":"road1_toupper1","0-5":"road2_tolower1","1-4":"road2_toupper1","1-5":"road1_tolower1","2-4":"road2_toupper2","2-5":"road1_tolower2","0-3":"road1_toupper2","1-3":"road1_toupper3","2-3":"road1_toupper1","2-2":"road1_toupper2","0-6":"road2_tolower2","1-6":"road2_tolower3","3-2":"road1_toupper3","2-6":"road2_tolower1","2-7":"road2_tolower2","3-7":"road2_tolower3","3-6":"road1_tolower1","3-3":"road2_toupper1","4-2":"road1","4-3":"road2_toupper2","4-7":"road2","4-6":"road1_tolower2"},"roadPathL":[4.5,2.5],"roadPathR":[5.5,7.5],"objs":{"2-3|2-6":"barrel_blue|oil"},
	"next":["darkSplitA", "darkSplitB"]};
__Levels.darkSplitA = {"id":"","type":"dark","w":"5","ground":{"0-2":"road1","0-7":"road2","1-2":"road1","2-2":"road1","3-2":"road1","4-2":"road1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2"},"roadPathL":[2.5,2.5],"roadPathR":[7.5,7.5],"objs":{"2-2|3-7":"barrel_blue|barrel_red|"},
	"next":["darkSplitA", "darkSplitB", "darkSplitC", "darkSplitEnd"]};
__Levels.darkSplitB = {"id":"","type":"dark","w":"5","ground":{"0-2":"road1","0-7":"road2","1-2":"road1","2-2":"road1","3-2":"road1","4-2":"road1","1-7":"road2","2-7":"road2","3-7":"road2","4-7":"road2"},"roadPathL":[2.5,2.5],"roadPathR":[7.5,7.5],"objs":{"1-2|3-7":"barrel_red","4-2|0-7":"barrel_red","0-2":"oil"},
	"next":["darkSplitA", "darkSplitC", "darkSplitEnd"]};
__Levels.darkSplitC = {"id":"","type":"dark","w":"3","ground":{"0-2":"road1_toupper1","0-7":"road2","1-2":"road2_toupper1","1-7":"road2_toupper1","0-1":"road1_toupper2","1-1":"road1_toupper3","2-2":"road2_toupper2","2-1":"road1","2-7":"road2_toupper2","2-6":"road2_toupper3","1-6":"road1_toupper3","0-6":"road1_toupper2"},"roadPathL":[2.5,1.5],"roadPathR":[7.5,6.5],"objs":{},
	"next":["darkSplitC2", "darkSplitC4"]};
__Levels.darkSplitC2 = {"id":"","type":"dark","w":"5","ground":{"0-1":"road1","0-6":"road2","1-1":"road1","2-1":"road1","1-6":"road2","2-6":"road2","3-1":"road1","4-1":"road1","3-6":"road2","4-6":"road2","1-5":"road1_toupper2","2-5":"road1_toupper3","3-5":"road1","4-5":"road1","4-2":"dark_br","3-2":"dark_b","2-2":"dark_br2","2-3":"dark_br","1-3":"dark_b","1-2":"dirt","0-3":"dark_bl","0-2":"dark_l"},"roadPathL":[1.5,1.5],"roadPathR":[6.5,6.5],"objs":{"1-2":"barrel_blue|cactus|","3-1|2-6":"barrel_red|","4-6":"oil|rock|"},
	"next":["darkSplitC3", "darkSplitC5"]};
__Levels.darkSplitC3 = {"id":"","type":"dark","w":"5","ground":{"0-1":"road1","0-6":"road2","1-1":"road1","2-1":"road1","1-6":"road2","2-6":"road2","3-1":"road1","4-1":"road1","3-6":"road2","4-6":"road2","1-5":"road1","2-5":"road1","3-5":"road1","4-5":"road1","0-5":"road1"},"roadPathL":[1.5,1.5],"roadPathR":[6.5,6.5],"objs":{"1-1|3-1|2-5":"oil|barrel_red"},
	"next":["darkSplitC5", "darkSplitC6"]};
__Levels.darkSplitC4 = {"id":"","type":"dark","w":"5","ground":{"0-1":"road1","0-6":"road2","1-1":"road1","2-1":"road1","1-6":"road2","2-6":"road2","3-1":"road1","4-1":"road1","3-6":"road2","4-6":"road2"},"roadPathL":[1.5,1.5],"roadPathR":[6.5,6.5],"objs":{"1-1":"oil"},
	"next":["darkSplitC2"]};
__Levels.darkSplitC5 = {"id":"","type":"dark","w":"5","ground":{"0-1":"road1","1-1":"road1","2-1":"road1","1-6":"road2","2-6":"road2","3-1":"road1","4-1":"road1","3-6":"road2","4-6":"road2","1-5":"road1","3-5":"road1","4-5":"road1","0-5":"road1","0-6":"road2","3-4":"dark_tr","2-4":"dark_t","1-4":"dark_tl","2-5":"dirt"},"roadPathL":[1.5,1.5],"roadPathR":[6.5,6.5],"objs":{"2-5":"rock|cactus","3-6":"oil"},
	"next":["darkSplitC5", "darkSplitC6"]};
__Levels.darkSplitC6 = {"id":"","type":"dark","w":"4","ground":{"0-1":"road1","0-6":"road2","1-1":"road1","2-1":"road1","1-6":"road2_toupper1","2-6":"road2_toupper2","3-1":"road1","1-5":"road1","2-5":"road2_toupper3","3-5":"road2","0-5":"road1"},"roadPathL":[1.5,1.5],"roadPathR":[6.5,5.5],"objs":{"1-6|2-4":"barrel_red|barrel_blue"},
	"next":["darkSplitC7", "darkSplitC8"]};
__Levels.darkSplitC7 = {"id":"","type":"dark","w":"4","ground":{"0-1":"road1","1-1":"road1","2-1":"road1","3-1":"road1","1-5":"road2","2-5":"road2","3-5":"road2","0-5":"road2"},"roadPathL":[1.5,1.5],"roadPathR":[5.5,5.5],"objs":{"0-1|3-5":"barrel_blue|oil"},
	"next":["darkSplitC7", "darkSplitC8", "darkSplitC9"]};
__Levels.darkSplitC8 = {"id":"","type":"dark","w":"10","ground":{"0-1":"road1","1-1":"road1","2-1":"road1","3-1":"road1","1-5":"road2","2-5":"road2","3-5":"road2","0-5":"road2","4-1":"road1","5-1":"road1","6-1":"road1","7-1":"road1","8-1":"road1","9-1":"road1","4-5":"road2","5-5":"road2","6-5":"road2","7-5":"road2","8-5":"road2","9-5":"road2","1-2":"dark_bl","2-2":"dark_b","2-4":"dark_tl","3-4":"dark_tl2","3-3":"dark_l","3-2":"dark_bl2","4-2":"dirt","4-3":"dirt","5-2":"dirt","6-2":"dirt","7-2":"dirt","8-2":"dark_br2","9-2":"dark_br","5-3":"dirt","6-3":"dirt","7-3":"dark_br2","8-3":"dark_br","7-4":"dark_r","6-4":"dirt","5-4":"dirt","4-4":"dirt"},"roadPathL":[1.5,1.5],"roadPathR":[5.5,5.5],"objs":{"1-1|7-1|6-5":"oil|barrel_red","4-3|6-2|6-4":"cactus","5-1|5-5":"rock","2-5|6-3|9-1":"barrel_blue|"},
	"next":["darkSplitC7"]};
__Levels.darkSplitC9 = {"id":"","type":"dark","w":"7","ground":{"0-1":"road1","1-1":"road1_tolower1","1-5":"road2","2-5":"road2","3-5":"road2","0-5":"road2","1-2":"road2_tolower3","2-2":"road1_tolower3","3-2":"road1_tolower1","3-3":"road2_tolower3","4-3":"road1_tolower3","5-3":"road1_tolower1","5-4":"road2_tolower3","4-5":"road2","5-5":"road2","4-4":"road2_tolower2","2-3":"road2_tolower2","0-2":"road2_tolower2","6-5":"road2","6-4":"road1_tolower3","6-3":"road1_tolower2","4-2":"road1_tolower2","2-1":"road1_tolower2"},"roadPathL":[1.5,4.5],"roadPathR":[5.5,5.5],"objs":{"4-3|2-2":"oil"},
	"next":["darkStraight1"]};
__Levels.darkSplitEnd = {"id":"","type":"dark","w":"5","ground":{"2-4":"road2_tolower2","2-5":"road1_toupper2","0-3":"road2_tolower2","1-3":"road2_tolower3","2-3":"road1_tolower3","2-2":"road1_tolower2","0-6":"road1_toupper2","1-6":"road1_toupper3","2-6":"road2_toupper3","2-7":"road2_toupper2","3-6":"road2_toupper1","3-3":"road1_tolower1","4-3":"road1_tolower2","4-6":"road2_toupper2","0-2":"road1","0-7":"road2","1-7":"road2_toupper1","1-2":"road1_tolower1","3-4":"road2_tolower3","4-4":"road2_tolower1","4-5":"road1_toupper1","3-5":"road1_toupper3"},"roadPathL":[2.5,4.5],"roadPathR":[7.5,5.5],"objs":{"2-3|2-6":"barrel_red","0-7":"barrel_blue","0-2":"oil"},
	"next":["darkStraight1", "darkStraight2"]};

__Levels.darkToDirt = {"id":"","type":"dirt","w":"1","ground":{"0-4":"road1","0-5":"road2","0-0":"dark_l","0-1":"dark_l","0-3":"dark_l","0-2":"dark_l","0-6":"dark_l","0-7":"dark_l","0-8":"dark_l","0-9":"dark_l"},"roadPathL":[4.5,4.5],"roadPathR":[5.5,5.5],"objs":{},"next":["dirtStraight"]};



//Highway - Grass
__Levels.highwayGrassStart = {"id":"","type":"grass","w":"3","ground":{"0-4":"road1_toupper1","0-3":"road1_toupper2","1-3":"road1_toupper3","0-5":"road2_tolower1","0-6":"road2_tolower2","1-6":"road2_tolower3","1-4":"road","1-5":"road","2-3":"road1","2-6":"road2","2-4":"road","2-5":"road"},"roadPathL":[4.5,3.5],"roadPathR":[5.5,6.5],"objs":{"1-2|1-7":"tree","2-1|0-8":"rock|oil|","1-4|2-4|1-5|2-5":"oil"},
	"next":["highwayGrassA"]};
__Levels.highwayGrassA = {"id":"","type":"grass","w":"10","ground":{"0-4":"road","0-3":"road1","0-5":"road","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","4-3":"road1","5-3":"road1","6-3":"road1","7-3":"road1","8-3":"road1","9-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","4-6":"road2","5-6":"road2","6-6":"road2","7-6":"road2","8-6":"road2","9-6":"road2","9-4":"road","8-5":"road","1-4":"road","2-4":"road","3-4":"road","4-4":"road","5-4":"road","6-4":"road","6-5":"road","7-4":"road","8-4":"road","7-5":"road","9-5":"road","5-5":"road","3-5":"road","4-5":"road","2-5":"road","1-5":"road"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"2-2|4-2":"tree","5-8":"tree|rock","4-7|2-7":"rock|barrel_red","3-4|5-5|6-6":"rock|oil|","2-4|5-3":"oil|barrel_blue","1-6|9-5":"barrel_red"},
	"next":["highwayGrassA", "highwayGrassA", "highwayGrassA", "highwayGrassSplit1", "highwayGrassSplit1", "highwayGrassEnd", "highwayGrassEnd"]};
__Levels.highwayGrassSplit1 = {"id":"","type":"water","w":"4","ground":{"0-4":"road","0-3":"road1","0-5":"road","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","1-4":"road2_toupper1","1-5":"road1_tolower1","2-4":"road2_toupper2","2-5":"road1_tolower2","0-2":"grass","0-1":"grass","0-0":"grass","1-0":"grass","1-1":"grass","1-2":"grass","2-0":"grass","2-1":"grass","2-2":"grass","2-7":"grass","2-8":"grass","2-9":"grass","1-7":"grass","1-8":"grass","1-9":"grass","0-7":"grass","0-8":"grass","0-9":"grass","3-2":"grass","3-1":"grass","3-0":"grass","3-7":"grass","3-8":"grass","3-9":"grass"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"0-3|1-6":"barrel_red|barrel_blue","2-2|2-8|1-7":"rock|tree"},
	"next":["highwayGrassSplit2", "highwayGrassSplit3"]};
__Levels.highwayGrassSplit2 = {"id":"","type":"water","w":"5","ground":{"0-3":"road1","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","0-2":"grass","0-1":"grass","0-0":"grass","1-0":"grass","1-1":"grass","1-2":"grass","2-0":"grass","2-1":"grass","2-2":"grass","2-7":"grass","2-8":"grass","2-9":"grass","1-7":"grass","1-8":"grass","1-9":"grass","0-7":"grass","0-8":"grass","0-9":"grass","3-2":"grass","3-1":"grass","3-0":"grass","3-7":"grass","3-8":"grass","3-9":"grass","4-3":"road1","4-6":"road2","4-7":"grass","4-8":"grass","4-9":"grass","4-2":"grass","4-1":"grass","4-0":"grass","1-5":"road1_toupper2","2-5":"road1_toupper3","3-5":"road1"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"3-5":"barrel_blue","2-2|3-7|3-8":"tree|rock","2-3|1-6":"barrel_red"},
	"next":["highwayGrassSplit2", "highwayGrassSplit3"]};
__Levels.highwayGrassSplit3 = {"id":"","type":"water","w":"5","ground":{"0-3":"road1","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","0-2":"grass","0-1":"grass","0-0":"grass","1-0":"grass","1-1":"grass","1-2":"grass","2-0":"grass","2-1":"grass","2-2":"grass","2-7":"grass","2-8":"grass","2-9":"grass","1-7":"grass","1-8":"grass","1-9":"grass","0-7":"grass","0-8":"grass","0-9":"grass","3-2":"grass","3-1":"grass","3-0":"grass","3-7":"grass","3-8":"grass","3-9":"grass","4-3":"road1","4-6":"road2","4-7":"grass","4-8":"grass","4-9":"grass","4-2":"grass","4-1":"grass","4-0":"grass"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"1-2|4-7|1-8":"tree|rock|","3-3|3-6":"barrel_red|rock|oil"},
	"next":["highwayGrassSplit3", "highwayGrassSplit2", "highwayGrassSplit4", "highwayGrassSplit4","highwayGrassSplit4"]};
__Levels.highwayGrassSplit4 = {"id":"","type":"water","w":"4","ground":{"0-3":"road1","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","0-2":"grass","0-1":"grass","0-0":"grass","1-0":"grass","1-1":"grass","1-2":"grass","2-0":"grass","2-1":"grass","2-2":"grass","2-7":"grass","2-8":"grass","2-9":"grass","1-7":"grass","1-8":"grass","1-9":"grass","0-7":"grass","0-8":"grass","0-9":"grass","3-2":"grass","3-1":"grass","3-0":"grass","3-7":"grass","3-8":"grass","3-9":"grass","1-4":"road2_tolower2","2-4":"road2_tolower3","2-5":"road1_toupper3","1-5":"road1_toupper2","3-5":"road","3-4":"road"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"2-1|3-8":"rock|tree|oil","2-3|3-5":"oil|rock|barrel_red"},
	"next":["highwayGrassA", "highwayGrassEnd"]};
__Levels.highwayGrassEnd = {"id":"","type":"grass","w":"3","ground":{"0-4":"road","0-3":"road1","1-3":"road1_tolower1","0-5":"road","0-6":"road2","1-6":"road2_toupper1","1-4":"road","1-5":"road","2-3":"road1_tolower2","2-6":"road2_toupper2","2-4":"road1_tolower3","2-5":"road2_toupper3"},"roadPathL":[3.5,4.5],"roadPathR":[6.5,5.5],"objs":{"1-4|2-5":"rock|oil","1-2|1-9|0-7":"rock|barrel_red"},
	"next":["a","a","a","b","e"]};


//Highway - Dirt
__Levels.highwayDirtStart = {"id":"","type":"dirt","w":"3","ground":{"0-4":"road1_toupper1","0-3":"road1_toupper2","1-3":"road1_toupper3","0-5":"road2_tolower1","0-6":"road2_tolower2","1-6":"road2_tolower3","1-4":"road","1-5":"road","2-3":"road1","2-6":"road2","2-4":"road","2-5":"road"},"roadPathL":[4.5,3.5],"roadPathR":[5.5,6.5],"objs":{"1-2|1-7":"cactus","2-1|0-8":"rock|oil|","1-4|2-4|1-5|2-5":"oil|rock|barrel_red|"},
	"next":["highwayDirtA"]};
__Levels.highwayDirtA = {"id":"","type":"dirt","w":"10","ground":{"0-4":"road","0-3":"road1","0-5":"road","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","4-3":"road1","5-3":"road1","6-3":"road1","7-3":"road1","8-3":"road1","9-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","4-6":"road2","5-6":"road2","6-6":"road2","7-6":"road2","8-6":"road2","9-6":"road2","9-4":"road","8-5":"road","1-4":"road","2-4":"road","3-4":"road","4-4":"road","5-4":"road","6-4":"road","6-5":"road","7-4":"road","8-4":"road","7-5":"road","9-5":"road","5-5":"road","3-5":"road","4-5":"road","2-5":"road","1-5":"road"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"2-2|4-2|5-7":"cactus","5-8|5-1":"cactus|rock","4-7|2-7":"rock|barrel_red","3-4|5-5|6-6":"rock|oil|","1-6|9-5":"barrel_red"},
	"next":["highwayDirtA","highwayDirtA","highwayDirtA","highwayDirtSplit1","highwayDirtSplit1","highwayDirtEnd","highwayDirtEnd"]};
__Levels.highwayDirtSplit1 = {"id":"","type":"dark","w":"4","ground":{"0-4":"road","0-3":"road1","0-5":"road","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","1-4":"road2_toupper1","1-5":"road1_tolower1","2-4":"road2_toupper2","2-5":"road1_tolower2","0-2":"dirt","0-1":"dirt","0-0":"dirt","1-0":"dirt","1-1":"dirt","1-2":"dirt","2-0":"dirt","2-1":"dirt","2-2":"dirt","2-7":"dirt","2-8":"dirt","2-9":"dirt","1-7":"dirt","1-8":"dirt","1-9":"dirt","0-7":"dirt","0-8":"dirt","0-9":"dirt","3-2":"dirt","3-1":"dirt","3-0":"dirt","3-7":"dirt","3-8":"dirt","3-9":"dirt"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"0-3|1-6":"barrel_red|barrel_blue","2-2|2-8|1-7":"rock|cactus"},
	"next":["highwayDirtSplit2", "highwayDirtSplit3"]};
__Levels.highwayDirtSplit2 = {"id":"","type":"dark","w":"5","ground":{"0-3":"road1","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","0-2":"dirt","0-1":"dirt","0-0":"dirt","1-0":"dirt","1-1":"dirt","1-2":"dirt","2-0":"dirt","2-1":"dirt","2-2":"dirt","2-7":"dirt","2-8":"dirt","2-9":"dirt","1-7":"dirt","1-8":"dirt","1-9":"dirt","0-7":"dirt","0-8":"dirt","0-9":"dirt","3-2":"dirt","3-1":"dirt","3-0":"dirt","3-7":"dirt","3-8":"dirt","3-9":"dirt","4-3":"road1","4-6":"road2","4-7":"dirt","4-8":"dirt","4-9":"dirt","4-2":"dirt","4-1":"dirt","4-0":"dirt","1-5":"road1_toupper2","2-5":"road1_toupper3","3-5":"road1"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"3-5":"barrel_red","2-2|3-7|3-8":"cactus|rock","2-3|1-6":"barrel_red"},
	"next":["highwayDirtSplit2","highwayDirtSplit3"]};
__Levels.highwayDirtSplit3 = {"id":"","type":"dark","w":"5","ground":{"0-3":"road1","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","0-2":"dirt","0-1":"dirt","0-0":"dirt","1-0":"dirt","1-1":"dirt","1-2":"dirt","2-0":"dirt","2-1":"dirt","2-2":"dirt","2-7":"dirt","2-8":"dirt","2-9":"dirt","1-7":"dirt","1-8":"dirt","1-9":"dirt","0-7":"dirt","0-8":"dirt","0-9":"dirt","3-2":"dirt","3-1":"dirt","3-0":"dirt","3-7":"dirt","3-8":"dirt","3-9":"dirt","4-3":"road1","4-6":"road2","4-7":"dirt","4-8":"dirt","4-9":"dirt","4-2":"dirt","4-1":"dirt","4-0":"dirt"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"1-2|4-7|1-8":"cactus|rock|","3-3|3-6":"barrel_red|barrel_blue|oil","3-2|3-7":"cactus"},
	"next":["highwayDirtSplit3","highwayDirtSplit2","highwayDirtSplit4", "highwayDirtSplit4","highwayDirtSplit4"]};
__Levels.highwayDirtSplit4 = {"id":"","type":"dark","w":"4","ground":{"0-3":"road1","0-6":"road2","1-3":"road1","2-3":"road1","3-3":"road1","1-6":"road2","2-6":"road2","3-6":"road2","0-2":"dirt","0-1":"dirt","0-0":"dirt","1-0":"dirt","1-1":"dirt","1-2":"dirt","2-0":"dirt","2-1":"dirt","2-2":"dirt","2-7":"dirt","2-8":"dirt","2-9":"dirt","1-7":"dirt","1-8":"dirt","1-9":"dirt","0-7":"dirt","0-8":"dirt","0-9":"dirt","3-2":"dirt","3-1":"dirt","3-0":"dirt","3-7":"dirt","3-8":"dirt","3-9":"dirt","1-4":"road2_tolower2","2-4":"road2_tolower3","2-5":"road1_toupper3","1-5":"road1_toupper2","3-5":"road","3-4":"road"},"roadPathL":[3.5,3.5],"roadPathR":[6.5,6.5],"objs":{"2-1|3-8|1-7":"rock|cactus|oil","2-3|3-5":"rock|barrel_red"},
	"next":["highwayDirtA","highwayDirtEnd"]};
__Levels.highwayDirtEnd = {"id":"","type":"dirt","w":"3","ground":{"0-4":"road","0-3":"road1","1-3":"road1_tolower1","0-5":"road","0-6":"road2","1-6":"road2_toupper1","1-4":"road","1-5":"road","2-3":"road1_tolower2","2-6":"road2_toupper2","2-4":"road1_tolower3","2-5":"road2_toupper3"},"roadPathL":[3.5,4.5],"roadPathR":[6.5,5.5],"objs":{"1-4|2-5":"rock|","1-2|1-9|0-7":"rock|barrel_red"},
	"next":["dirtStraight","dirtStraight","dirtStraight","dirtMiddleToLower","dirtMiddleToUpper"]};